Bug 1286875 - [abrt] tito: configparser.py:1088:_read:configparser.ParsingError: Source contains parsing errors: '/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf'
[abrt] tito: configparser.py:1088:_read:configparser.ParsingError: Source con...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tito (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:72345e405fd2336ad3c1927772d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 20:08 EST by Ashesh Kumar Singh
Modified: 2016-12-20 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.11 KB, text/plain)
2015-11-30 20:08 EST, Ashesh Kumar Singh
no flags Details
File: environ (3.76 KB, text/plain)
2015-11-30 20:08 EST, Ashesh Kumar Singh
no flags Details

  None (edit)
Description Ashesh Kumar Singh 2015-11-30 20:08:06 EST
Version-Release number of selected component:
tito-0.6.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/bin/tito release paper-icon-theme
executable:     /usr/bin/tito
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
configparser.py:1088:_read:configparser.ParsingError: Source contains parsing errors: '/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf'
	[line  4]: 'upload_command\n'
	[line  5]: 'remote_location\n'

Traceback (most recent call last):
  File "/usr/bin/tito", line 23, in <module>
    CLI().main(sys.argv[1:])
  File "/usr/lib/python3.4/site-packages/tito/cli.py", line 220, in main
    return module.main(argv)
  File "/usr/lib/python3.4/site-packages/tito/cli.py", line 548, in main
    releaser_config = self._read_releaser_config()
  File "/usr/lib/python3.4/site-packages/tito/cli.py", line 498, in _read_releaser_config
    config.read(filename)
  File "/usr/lib64/python3.4/configparser.py", line 672, in read
    self._read(fp, filename)
  File "/usr/lib64/python3.4/configparser.py", line 1088, in _read
    raise e
configparser.ParsingError: Source contains parsing errors: '/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf'
	[line  4]: 'upload_command\n'
	[line  5]: 'remote_location\n'

Local variables in innermost frame:
e: Source contains parsing errors: '/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf'
	[line  4]: 'upload_command\n'
	[line  5]: 'remote_location\n'
cur_indent_level: 0
cursect: OrderedDict([('releaser', ['tito.release.CoprReleaser']), ('project_name', ['paper-icon-theme']), ('builder.test', ['1'])])
indent_level: 0
optname: 'builder.test'
inline_prefixes: {}
lineno: 6
sectname: 'paper-icon-theme'
comment_start: None
fpname: '/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf'
first_nonspace: <_sre.SRE_Match object; span=(0, 1), match='b'>
vi: '='
fp: <_io.TextIOWrapper name='/home/ashesh/Documents/00_GitHub/paper-icon-theme/.tito/releasers.conf' mode='r' encoding='UTF-8'>
mo: <_sre.SRE_Match object; span=(0, 16), match='builder.test = 1'>
self: <configparser.RawConfigParser object at 0x7fa31d914b38>
line: 'builder.test = 1\n'
prefix: ';'
elements_added: {('paper-icon-theme', 'project_name'), ('paper-icon-theme', 'builder.test'), ('paper-icon-theme', 'releaser'), 'paper-icon-theme'}
optval: '1'
value: 'builder.test = 1'
Comment 1 Ashesh Kumar Singh 2015-11-30 20:08:11 EST
Created attachment 1100693 [details]
File: backtrace
Comment 2 Ashesh Kumar Singh 2015-11-30 20:08:13 EST
Created attachment 1100694 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 08:51:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:27:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.